Page MenuHomePhabricator

[OpenCL] Remove access qualifiers on images in arg info metadata.
ClosedPublic

Authored by etyurin on Aug 26 2016, 2:16 AM.

Details

Summary

Remove access qualifiers on images in arg info metadata:

  • kernel_arg_type
  • kernel_arg_base_type

Image access qualifiers are inseparable from type in clang implementation,
but OpenCL spec provides a special query to get access qualifier
via clGetKernelArgInfo with CL_KERNEL_ARG_ACCESS_QUALIFIER.

Besides that OpenCL conformance test_api get_kernel_arg_info expects
image types without access qualifier.

Event Timeline

etyurin updated this revision to Diff 69329.Aug 26 2016, 2:16 AM
etyurin retitled this revision from to [OpenCL] Remove access qualifiers on images in arg info metadata..
etyurin updated this object.
etyurin added reviewers: Anastasia, bader, yaxunl.
etyurin added a subscriber: cfe-commits.
bader accepted this revision.Aug 26 2016, 2:48 AM
bader edited edge metadata.

LGTM

This revision is now accepted and ready to land.Aug 26 2016, 2:48 AM
yaxunl added inline comments.Aug 28 2016, 8:56 AM
lib/CodeGen/CodeGenFunction.cpp
439 ↗(On Diff #69649)
etyurin updated this revision to Diff 69649.Aug 30 2016, 1:56 AM
etyurin edited edge metadata.

Applied comments from Sam.

yaxunl accepted this revision.Aug 30 2016, 7:30 AM
yaxunl edited edge metadata.

LGTM. Thanks.

Anastasia accepted this revision.Sep 5 2016, 9:20 AM
Anastasia edited edge metadata.

LGTM!

This revision was automatically updated to reflect the committed changes.